Update project

View as Markdown

Update a project name or description for an Enterprise workspace. All body fields are optional, but at least one field must be supplied. All workspace members except viewers may write; PATs require the write scope.

Path parameters

idstringRequiredformat: "uuid"
Project UUID

Headers

AuthorizationstringRequired

Bearer {access_token}

X-Workspace-IdstringRequiredformat: "uuid"
Workspace UUID

Request

At least one of name or description must be supplied
descriptionstring or nullOptional<=1000 characters

New project description; null clears the description.

namestringOptionalformat: "\S">=1 character

Leading and trailing whitespace is trimmed; the trimmed name must contain 1-100 Unicode characters.

Response

data: updated project

dataobjectOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error